NXP NFC Reader Library v4.040.05.011646

Data Structures | Data Fields
phacDiscLoop_Sw_TypeB_Info Struct Reference
Activity Layer » Discovery Loop » Component : Software

Type B parameter structure. More...

## Data Structures
struct | phacDiscLoop_TypeB_I3P3B
| Structure for Type B (ISO/IEC 14443-B) tags. More...
struct | phacDiscLoop_TypeB_I3P4B
| Type B ISO/IEC 14443-4B tag structure. More...

## Data Fields
uint8_t | bTotalTagsFound
| Number of type B tags found. More...
uint8_t | bAfiReq
| Application file Identifier. More...
uint8_t | bExtendedAtqBbit
| For coding b5 of PARAM of REQB: b5=1 extended ATQB supported. More...
uint8_t | bAdvFeaturesBit
| For coding b6 of PARAM of REQB: b6=1 advanced features supported (NFC Forum). More...
uint8_t | bFsdi
| Frame size integer. More...
uint8_t | bCid
| Card identifier. More...
uint8_t | bNad
| Node ADdress. More...
uint8_t | bDri
| Data Rate receive (PICC –> PCD) integer. More...
uint8_t | bDsi
| Data Rate send (PCD –> PICC) integer. More...

## Detailed Description

Type B parameter structure.

## Field Documentation

## § bTotalTagsFound

uint8_t phacDiscLoop_Sw_TypeB_Info::bTotalTagsFound

Number of type B tags found.

## § bAfiReq

uint8_t phacDiscLoop_Sw_TypeB_Info::bAfiReq

Application file Identifier.

## § bExtendedAtqBbit

uint8_t phacDiscLoop_Sw_TypeB_Info::bExtendedAtqBbit

For coding b5 of PARAM of REQB: b5=1 extended ATQB supported.

## § bAdvFeaturesBit

uint8_t phacDiscLoop_Sw_TypeB_Info::bAdvFeaturesBit

For coding b6 of PARAM of REQB: b6=1 advanced features supported (NFC Forum).

## § bFsdi

uint8_t phacDiscLoop_Sw_TypeB_Info::bFsdi

Frame size integer.

Valid values: 0-8.

## § bCid

uint8_t phacDiscLoop_Sw_TypeB_Info::bCid

Card identifier.

Valid values 0-14.

## § bNad

uint8_t phacDiscLoop_Sw_TypeB_Info::bNad

Node ADdress.

## § bDri

uint8_t phacDiscLoop_Sw_TypeB_Info::bDri

Data Rate receive (PICC –> PCD) integer.

Valid values: 0-3.

## § bDsi

uint8_t phacDiscLoop_Sw_TypeB_Info::bDsi

Data Rate send (PCD –> PICC) integer.

Valid values: 0-3.

The documentation for this struct was generated from the following file:

- phacDiscLoop.h